/*
 * Copyright (c) 1998 Peter Bentley (pete@sorted.org)
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice and this permission notice
 * appear in all copies of the software and related documentation
 * 
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * IN NO EVENT SHALL PETER BENTLEY BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT
 * ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 * 
 * $Id: propset.h,v 1.3 1998/05/19 21:08:16 pete Exp $
 * 
 */

#ifndef PROPSET_H
#define PROPSET_H

#define PROP_SET_MAX_GROUPS	32
typedef struct {
    PropertyGroup	*groups[ PROP_SET_MAX_GROUPS ];	/* XXX: make dynamic */
    int			numGroups;
    char		*name;
    proplist_t		orig_props;
    proplist_t		orig_metaprops;
} PropertySet;    


PropertySet	*PropertySetCreate( const char *name, proplist_t props,
				    proplist_t metaprops );
void		PropertySetDestroy( PropertySet *set );
void		PropertySetSort( PropertySet *set );
PropertyGroup	*PropertySetNewGroup( PropertySet *set );
PropertyGroup	*PropertySetFindGroup( PropertySet *set, proplist_t name,
				       proplist_t gprops );
GtkWidget	*PropertySetWidgetsBuild( PropertySet *set );


#endif /* PROPSET_H */
